#
# Shell snippet to be sourced in order to load the osgi-runner config
# Never run this script in standalone mode.
#

# marker for include, never change this line.
OSGI_RUNNER_CONFIG_DOCKER_INCLUDED=xRHTd4BvVmV8kdWh

# installation directory
OSGI_BASE=/usr/share/osgi-runner

# etc directory
OSGI_ETCDIR=/etc/osgi-runner

# log directory
OSGI_LOGDIR=/var/log/osgi-runner

# cache directory
OSGI_CACHEDIR=/var/cache/osgi-runner

# var directory
OSGI_VARDIR=/var/lib/osgi-runner

# former default runtime user, now used to detect legacy /etc/default/osgi-runner files
OSGI_USER=osgi
OSGI_GROUP=osgi

# default admin user
# this is for /etc/osgi-runner ownership and should be OK even in rootless operation
OSGI_ADMIN=root

# default chown directories
CHOWN_DIRS=""

# default chown mode for log directory, cache directory, deploy directory and CHOWN_DIRS 
CHOWN_MODE=770

# PID file: useless for the interactive start we use in docker
#PIDFILE=/var/run/osgi-runner.pid

# not sure we need those
#OSGI_WAIT=30
#OSGI_DEBUG_STARTUP=0

# not sure we need those
#JSVC_BIN=/usr/bin/jsvc
# pretty sure that's obsolete
#OSGI_CLASS=org.clazzes.osgi.runner.Daemon

# source osgi-runner defaults
JAVA_HOME=""

OSGI_START="no"

OSGI_DUMPDIR=/tmp

# we probably could do without this
. /etc/default/osgi-runner

if test -z "$JAVA_EXE"
then
    if test -z "$JAVA_HOME"
    then
        JAVA_EXE="/usr/bin/java"
    else
        JAVA_EXE="$JAVA_HOME/bin/java"
        if test ! -x "$JAVA_EXE"
        then
            JAVA_EXE="$JAVA_HOME/jre/bin/java"
        fi
    fi
fi

